Export workbench

Exports the specified workbench to a file. Once requested, the file can be downloaded using the export download method upon receiving a "ready" status from the export status method. For more information about workbench export files, see Export File Formats.

Caution: This endpoint is deprecated. Tenable recommends that customers use the Create report endpoint instead. Please update any existing integrations that your organization has.

Note: This endpoint is not intended for large or frequent exports of vulnerability or assets data. If you experience errors, reduce the volume, rate, or concurrency of your requests or narrow your filters. Contact support if you continue to experience errors. Additionally, Tenable recommends the POST /vulns/export endpoint for large or frequent exports of vulnerability data, and the POST /assets/v2/export endpoint for large or frequent exports of assets data.

For information and best practices for retrieving vulnerability and assets data from Tenable Vulnerability Management, see Retrieve Vulnerability Data from Vulnerability Management and Retrieve Asset Data from Vulnerability Management.

Requires the Basic [16] user role. See Roles.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

The file format to use (Nessus, HTML, PDF, or CSV).

Note: Tag-based filters are supported for the CSV file format type only.

Allowed:
string
enum
required

The type of workbench report to be exported

Allowed:
int32

The date (in unixtime) at which the exported results should begin to be included. Defaults to today.

string
required

Semicolon-separated list of chapters to include for vulnerabilities/hosts reports (vuln_by_plugin, vuln_by_asset, vuln_hosts_summary) or a single chapter for Executive Summary (exec_summary). Currently, only vuln_by_asset is supported for .nessus workbench exports.

int32

The number of days of data prior to and including start_date that should be returned. If not specified, data for all dates is returned.

string

The name of the filter to apply to the exported scan report. You can find available filters by using the GET /filters/workbenches/assets endpoint. For more information about the format of this parameter, see Workbench Filters.

string

The operator of the filter to apply to the exported scan report. You can find the operators for the filter using the GET /filters/workbenches/assets endpoint. For more information about the format of this parameter, see Workbench Filters.

string

The value of the filter to apply to the exported scan report. You can find valid values for the filter in the 'control' attribute of the objects returned by the GET /filters/workbenches/assets endpoint. For more information about the format of this parameter, see Workbench Filters.

string
enum

For multiple filters, specifies whether to use the AND or the OR logical operator. The default is AND. For more information about this parameter, see Workbench Filters.

Allowed:
boolean
enum

When true, Tenable Vulnerability Management returns only a minimal subset of scan details for each result, excluding plugin attributes. In this case, only plugin_output and vulnerability_state fields are always returned; first_found, last_found and last_fixed are also returned if possible.

Allowed:
int32

A plugin ID. Restricts the export data to vulnerabilities that only the specified plugin detects.

string

The unique identifier of an asset. Restricts the export data to findings on the specified asset only.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

403

Returned if you do not have permission to export the workbench.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html